JsDoc Reference - RestrictedIdentificationInfo

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class RestrictedIdentificationInfo

This class encodes and decodes RestrictedIdentificationInfo objects.

The class implements the following ASN.1 syntax:

    RestrictedIdentificationInfo ::= SEQUENCE {
      protocol  OBJECT IDENTIFIER(
                id-RI-DH-SHA-1  |
                id-RI-DH-SHA-224  |
                id-RI-DH-SHA-256  |
                id-RI-DH-SHA-384 |
                id-RI-DH-SHA-512 |
                id-RI-ECDH-SHA-1  |
                id-RI-ECDH-SHA-224  |
                id-RI-ECDH-SHA-256 |
                id-RI-ECDH-SHA-384 |
                id-RI-ECDH-SHA-512),
      params    ProtocolParams,
      maxKeyLen INTEGER OPTIONAL
    }
    ProtocolParams ::= SEQUENCE {
      version         INTEGER, -- MUST be 1
      keyId           INTEGER,
      authorizedOnly  BOOLEAN
    }

Defined in: RestrictedIdentification.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| RestrictedIdentificationInfo(the) Create a RestrictedIdentificationInfo object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| toTLV() Convert object to TLV structure

Class Detail
RestrictedIdentificationInfo(the)
Create a RestrictedIdentificationInfo object

Parameters:
{ASN1} the
  optional tlv structure to initialize the object

Method Detail
{ASN1} toTLV()
Convert object to TLV structure

Returns:
  the TLV structure

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Mar 30 2026 14:27:51 GMT+0200 (CEST)